<head>
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no, maximum-scale=1, user-scalable=0">
    <meta name="HandheldFriendly" content="true"/>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>

    <?= $this->render('header/seo-and-path.phtml') ?>
    <?= $this->render('header/google-verification.phtml') ?>
    <?= $this->render('header/google-analytics.phtml') ?>
    <?
    $controllerName = $this->request()->getControllerName();
    $actionName = $this->request()->getActionName();
    ?>

    <? $this->headLink()->prependStylesheet('https://fonts.googleapis.com/css?family=Open+Sans'); ?>

    <? if ($controllerName == 'reviews' && $actionName == 'add-review'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=review')); ?>
    <? elseif ($controllerName == 'reviews' && $actionName == 'index'): ?>
        <? $this->headScript()->prependFile('/index/js-init?v=1'); ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=review')); ?>
    <? elseif ($controllerName == 'agencies' && $actionName == 'list'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=agency-list')); ?>
    <? elseif ($controllerName == 'agencies' && $actionName == 'show'): ?>
        <? $this->headScript()->prependFile('/index/js-init?v=1'); ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=agency-profile')); ?>
    <? elseif ($controllerName == 'agencies' && $actionName == 'escorts'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=agency-profile')); ?>
    <? elseif ($controllerName == 'escorts' && $actionName == 'profile-v2'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=profile')); ?>
    <? elseif ($controllerName == 'classified-ads' && $actionName == 'index'): ?>
        <? $this->headScript()->prependFile('/index/js-init?v=1'); ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=classified-ads')); ?>
    <? elseif ($controllerName == 'index' && $actionName == 'links'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=links')); ?>
    <? elseif ($controllerName == 'contacts' && $actionName == 'contact-us'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=contacts')); ?>
    <? elseif ($controllerName == 'online-billing' && $actionName == 'advertise'): ?>
        <? $this->headScript()->prependFile('/index/js-init?v=1'); ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=prices')); ?>
    <? elseif ($controllerName == 'comments'): ?>
        <? $this->headScript()->prependFile('/index/js-init?v=1'); ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=comments')); ?>
    <? elseif ($controllerName == 'members'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=member-profile')); ?>
    <? elseif ($controllerName == 'blog'): ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=blog')); ?>
    <? else: ?>
        <? $this->headScript()->prependFile('/index/js-init?v=1'); ?>
        <? $this->headLink()->prependStylesheet(_st('js.php?type=css&load_key=home-page')); ?>
    <? endif; ?>

    <? if ($controllerName == 'escorts' && $actionName == 'profile'): ?>
        <? //$this->headScript()->appendFile(_st('jwplayer.js')) ?>
    <?php endif; ?>

    <? if ($controllerName == 'error'): ?>
        <? $this->headLink()->prependStylesheet(_st('error.css')) ?>
    <?php endif; ?>


    <?= $this->headLink(); ?>

    <script class="text/javascript">
        //Check if scrolled then add button to animate back to TOP
        //-----------------------------------------
        document.addEventListener('DOMContentLoaded', function(){
            var $btn = document.querySelector('.to-the-moon');

            window.addEventListener('scroll', function () {
                var y = window.pageYOffset;
                $btn.style.display = y > 650 ? 'flex' : 'none';
            });

            $btn.addEventListener('click', function () {
                window.scroll({
                    top: 0,
                    left: 0,
                    behavior: 'smooth'
                });
            });
        }, false);
        //-----------------------------------------
    </script>
</head>



